#pragma once

#include <string>

#define CHAREX "'.{1}'"
#define INTEX "^[+\\-]*[0-9]+$"
#define FLOATEX "^([+\\-]*(([0-9]+(\\.[0-9]+)?)|inf|nan))f?$"
#define DOUBLEEX "^([+\\-]*(([0-9]+(\\.[0-9]+)?)|inf|nan))f?$"

class ScalarConverter
{
	private:
		ScalarConverter();
		ScalarConverter(const ScalarConverter& src);
		~ScalarConverter();
		ScalarConverter& operator=(const ScalarConverter& src);

	public:
		static void convert(const std::string& str);
};
