#include "ScalarConverter.hpp"

#include <cctype>
#include <cerrno>
#include <cstdlib>
#include <cstddef>
#include <exception>
#include <iostream>
#include <string>

#include <limits.h>

ScalarConverter::ScalarConverter()
{}

ScalarConverter::ScalarConverter(const ScalarConverter& src)
{
	(void) src;
}

ScalarConverter::~ScalarConverter()
{}

ScalarConverter& ScalarConverter::operator=(const ScalarConverter& src)
{
	if (this != &src)
		*this = src;
	return *this;
}

double get_value(const std::string& str)
{
	char *pos;
	double value = std::strtod(str.c_str(), &pos);
	if (pos)
		std::cout << pos << std::endl;
	if (errno == ERANGE)
		throw std::exception();
	return value;
}

void convert2char(const double value)
{
	std::cout << "char: ";
	if (isprint(static_cast<char>(value)))
		std::cout << static_cast<char>(value);
	else
		std::cout << "Non displayable";
	std::cout << std::endl;
}

void convert2int(const double value)
{
	std::cout << "int: ";
	if (value > INT_MAX)
		std::cout << "imposible";
	else
		std::cout << static_cast<int>(value);
	std::cout << std::endl;
}

void ScalarConverter::convert(const std::string &str)
{
	double value;
	try {
		value = get_value(str);
	} catch (std::exception &e) {
		std::cout << "convert imposible" << std::endl;
		return;
	}
	convert2char(value);
	convert2int(value);
}
